# Created by pyp2rpm-3.2.2
%global pypi_name podcastparser

Name:           python-podcastparser
Version:        0.6.8
Release:        %mkrel 3
Group:          Development/Python
Summary:        Simplified, fast RSS parser

License:        ISC License
URL:            http://gpodder.org/podcastparser/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
podcastparser: Simple, fast and efficient podcast parser The podcast parser
project is a library from the gPodder project to provide an easy and reliable
way of parsing RSS- and Atom-based podcast feeds in Python.* Web:


%package -n     python3-%{pypi_name}
Summary:        Simplified, fast RSS parser
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
podcastparser: Simple, fast and efficient podcast parser The podcast parser
project is a library from the gPodder project to provide an easy and reliable
way of parsing RSS- and Atom-based podcast feeds in Python.* Web:

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=$(pwd) sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%doc html README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.6.8-3.mga9
+ Revision: 1832823
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.6.8-2.mga9
+ Revision: 1783329
- rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 0.6.8-1.mga9
+ Revision: 1771266
- version 0.6.8

* Tue Aug 31 2021 wally <wally> 0.6.7-1.mga9
+ Revision: 1743763
- new version 0.6.7

* Sun Mar 21 2021 daviddavid <daviddavid> 0.6.6-1.mga9
+ Revision: 1706383
- new version: 0.6.6

* Sun Mar 21 2021 daviddavid <daviddavid> 0.6.5-2.mga9
+ Revision: 1706380
- rebuild for python 3.9

* Mon Apr 20 2020 shlomif <shlomif> 0.6.5-1.mga8
+ Revision: 1570067
- New version 0.6.5

* Sun Feb 16 2020 umeabot <umeabot> 0.6.4-4.mga8
+ Revision: 1533887
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 tv <tv> 0.6.4-3.mga8
+ Revision: 1445771
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 0.6.4-2.mga8
+ Revision: 1430591
- update sphinx BRs

* Wed Jan 09 2019 shlomif <shlomif> 0.6.4-1.mga7
+ Revision: 1353787
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6.1-3.mga7
+ Revision: 1289676
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 daviddavid <daviddavid> 0.6.1-2.mga7
+ Revision: 1236445
- rename python-podcastparser to python2-podcastparser
- use new python macros

* Fri Oct 13 2017 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1171535
- import from pyp2rpm

